#include <iostream>

using namespace std;

int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int n;
    long long r = 0;
    cin >> n;
    long long a[n], b[n];
    for(long long i = 0; i < n; i++) cin >> a[i];
    for(long long i = 0; i < n; i++) cin >> b[i];

    for(int i = 1; i < n; i++) {
        long long ar = a[i-1], br = b[i-1];
        long long maxi = ar*br;
        for(int j = i; j < n; j++) {
            if(maxi == 0) break;
            ar ^= a[i];
            br &= b[i];
            maxi = max(maxi, ar*br);
        }
        r = max(r, maxi);
    }

    cout << r;

    return 0;
}